import React, { Component } from "react";
import BeldenLogo from "../assets/images/belden-white.png";
import "../assets/stylesheets/summary.scss";

export default class SummaryComponent extends Component {
  render() {
    return (
      <div className="summary">
        <img className="summary-image" src={BeldenLogo} alt="Belden" />
        <div className="summary-fieldContainer">
          <h1 className="summary-title">Grid of Individual Graphs</h1>

          <div className="summary-grid">
            {/* <div className="summary-iframe"> */}
            <iframe
              className="summary-iframe"
              src="http://192.168.1.12:3000/d-solo/cdiqwmlr8c9ogf/sensors?orgId=1&refresh=1s&theme=light&panelId=9"
              frameborder="0"
            ></iframe>
            <iframe
              className="summary-iframe"
              src="http://192.168.1.12:3000/d-solo/cdiqwmlr8c9ogf/sensors?orgId=1&refresh=1s&theme=light&panelId=8"
              frameborder="0"></iframe>
            <iframe
              className="summary-iframe"
              src="http://192.168.1.12:3000/d-solo/cdiqwmlr8c9ogf/sensors?orgId=1&refresh=1s&theme=light&panelId=7"
              frameborder="0"
            ></iframe>
            <iframe
              className="summary-iframe"
              src="http://192.168.1.12:3000/d-solo/cdiqwmlr8c9ogf/sensors?orgId=1&refresh=1s&theme=light&panelId=6"
              frameborder="0"
            ></iframe>
            <iframe
              className="summary-iframe"
              src="http://192.168.1.12:3000/d-solo/cdiqwmlr8c9ogf/sensors?orgId=1&refresh=1s&theme=light&panelId=5"
              frameborder="0"
            ></iframe>
            {/* </div> */}
            {/* <iframe src="http://192.168.1.12:3000/d-solo/cdiqwmlr8c9ogf/sensors?orgId=1&refresh=1s&theme=light&panelId=7" width="450" height="200" frameborder="0"></iframe> */}
          </div>


          <h1 className="summary-title">Embed Dashboard in Kiosk Mode</h1>
          <iframe
            className="summary-dashboard"
            src="http://192.168.1.12:3000/d/cdiqwmlr8c9ogf/sensors?orgId=1&theme=light&refresh=1s&kiosk"
            frameborder="0"
          ></iframe>

        </div>
      </div>
    );
  }
}
